{{/*
  Copyright (c) 2024 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  SPDX-License-Identifier: EPL-2.0
*/}}

{{ $publish_target := .Site.Params.featured_content_publish_target }}

{{ $news_container_id := "news-container" }}
{{ .Page.Scratch.Add "news-container-ids" (slice $news_container_id) }}

{{ $events_container_id := "events-container" }}
{{ .Page.Scratch.Add "events-container-ids" (slice $events_container_id) }}

<section class="row padding-y-60 news-and-events-section">
  <div class="container">
    <div class="col-xs-18 col-xs-offset-4 col-sm-10 col-sm-offset-1 margin-bottom-30">
      <h2 class="text-center margin-bottom-40" id="community-news">
        Community News
      </h2>
      <div>
        <img class="img-responsive w-100 ratio ratio-16x9 object-fit-cover" src="/images/news.jpg" alt="">
      </div>
      <div class="btn-group btn-group-justified">
        <a class="btn btn-secondary btn-square" href="https://newsroom.eclipse.org/rss/news/dataspace/announcements.xml"><i
            class="fa fa-rss margin-right-10" aria-hidden="true"></i>Subscribe</a>
        <a class="btn btn-primary btn-square" href="/news">View All</a>
      </div>
      <div class="news-items" id="{{ $news_container_id }}" data-publish-target="{{ $publish_target }}" data-news-count="3"
        data-template-id="list-card">
        <div class="news-container match-height-item">
        </div>
      </div>
    </div>
    <div class="col-xs-18 col-xs-offset-4 col-sm-10 col-sm-offset-1 margin-bottom-30">
      <h2 class="text-center margin-bottom-40" id="events">
        Events
      </h2>
      <div>
        <img class="img-responsive ratio ratio-16x9 object-fit-cover" src="/images/events.jpg" alt="">
      </div>
      <div class="btn-group btn-group-justified" style="z-index:2;">
        <a class="btn btn-secondary btn-square" href="https://newsroom.eclipse.org/node/add/events">Submit an Event</a>
        <a class="btn btn-primary btn-square" href="/events">View All</a>
      </div>
      <div id="events-container" data-count="3" data-template-id="timeline" data-publish-target="{{ $publish_target }}" data-upcoming="1">
        <div class="events-container match-height-item">
        </div>
      </div>
    </div>
  </div>
</section>

<script id="list-card" type="x-tmpl-mustache">
  {{ readFile "/js/list-card.mustache" | safeHTML }}
</script>

<script id="timeline" type="x-tmpl-mustache">
  {{ readFile "/js/timeline.mustache" | safeHTML }}
</script>
